Bug 852768 - VNC / Spice console port range overlaps default CIM port
VNC / Spice console port range overlaps default CIM port
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ovirt-node (Show other bugs)
6.4
Unspecified Unspecified
medium Severity medium
: rc
: ---
Assigned To: Mike Burns
Virtualization Bugs
:
Depends On:
Blocks: 839051
  Show dependency treegraph
 
Reported: 2012-08-29 10:28 EDT by Stephen Gordon
Modified: 2016-04-26 09:44 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-11 17:18:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stephen Gordon 2012-08-29 10:28:17 EDT
Description of problem:

We reserve the port range 5634 - 6166 for Spice / VNC console connections, the port used for CIM (5989) - which we are also using - falls within this range.

This is the case in both Hypervisor hosts and RHEL hosts. For Hypervisor hosts the port ranges are set in the kickstart, for RHEL hosts they come from the rhevm-config options sent to vdsm-bootstrap.
  
Actual results:

VNC / Spice console port range overlaps default CIM port

Expected results:

We should not use, or potentially use, one port for more than one purpose.
Comment 1 Mike Burns 2012-09-07 08:00:23 EDT
Bhavna/Andy,

Any thoughts on this?  

We could modify the cim server to run on a non-standard port or allow the port to be configurable, but I think this is just the first case of us colliding with the port range set aside for Spice/VNC.  Perhaps it's time to revisit this block of ports?
Comment 4 Andrew Cathrow 2013-07-11 17:18:55 EDT
This is already handled by the port detection mechanism

Note You need to log in before you can comment on or make changes to this bug.